apiVersion: pipelinesascode.tekton.dev/v1alpha1
kind: Repository
metadata:
  annotations:
    appstudio.openshift.io/application: devfile-sample-go-basic
    appstudio.openshift.io/component: devfile-sample-go-basic
    build.appstudio.openshift.io/build: 'true'
    build.appstudio.openshift.io/type: build
    build.appstudio.openshift.io/version: '0.1'
    pipelines.appstudio.openshift.io/type: build
  resourceVersion: '1530050480'
  name: devfile-sample-go-basic
  uid: 5dd77780-0b62-4067-8ba5-727996fb4681
  creationTimestamp: '2023-12-04T13:32:30Z'
  generation: 17
  managedFields:
    - apiVersion: pipelinesascode.tekton.dev/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:params': {}
      manager: kubectl-patch
      operation: Update
      time: '2023-12-11T15:28:40Z'
    - apiVersion: pipelinesascode.tekton.dev/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:appstudio.openshift.io/application': {}
            'f:appstudio.openshift.io/component': {}
            'f:build.appstudio.openshift.io/build': {}
            'f:build.appstudio.openshift.io/type': {}
            'f:build.appstudio.openshift.io/version': {}
            'f:pipelines.appstudio.openshift.io/type': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"9da084af-7f62-499a-87e1-963bd321dee4"}': {}
        'f:spec':
          .: {}
          'f:incoming': {}
          'f:url': {}
      manager: manager
      operation: Update
      time: '2024-02-27T16:20:51Z'
    - apiVersion: pipelinesascode.tekton.dev/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:pipelinerun_status': {}
      manager: pipelines-as-code-watcher
      operation: Update
      time: '2024-03-05T13:29:07Z'
  namespace: mmorhun-tenant
  ownerReferences:
    - apiVersion: appstudio.redhat.com/v1alpha1
      kind: Component
      name: devfile-sample-go-basic
      uid: 9da084af-7f62-499a-87e1-963bd321dee4
pipelinerun_status:
  - completionTime: '2024-02-28T05:02:02Z'
    logurl: 'https://console.redhat.com/preview/application-pipeline'
    sha: 05abbc71b0361963111f55d7bfb83828c2b39087
    startTime: '2024-02-28T04:38:56Z'
    target_branch: main
    pipelineRunName: devfile-sample-go-basic-on-pull-request-br6l6
    title: Update RHTAP references
    conditions:
      - lastTransitionTime: '2024-02-28T05:02:02Z'
        message: 'Tasks Completed: 10 (Failed: 0, Cancelled 0), Skipped: 2'
        reason: Completed
        status: 'True'
        type: Succeeded
    sha_url: >-
      https://github.com/mmorhun/devfile-sample-go-basic/commit/05abbc71b0361963111f55d7bfb83828c2b39087
    event_type: pull_request
  - completionTime: '2024-02-29T15:46:52Z'
    logurl: 'https://console.redhat.com/preview/application-pipeline'
    sha: 97bfce663a52fdb177c7a6477d27177af988e8c8
    startTime: '2024-02-29T15:08:26Z'
    target_branch: main
    pipelineRunName: devfile-sample-go-basic-on-pull-request-w72r2
    title: Update RHTAP references
    conditions:
      - lastTransitionTime: '2024-02-29T15:46:52Z'
        message: 'Tasks Completed: 10 (Failed: 0, Cancelled 0), Skipped: 2'
        reason: Completed
        status: 'True'
        type: Succeeded
    sha_url: >-
      https://github.com/mmorhun/devfile-sample-go-basic/commit/97bfce663a52fdb177c7a6477d27177af988e8c8
    event_type: pull_request
  - completionTime: '2024-03-04T03:37:11Z'
    logurl: 'https://console.redhat.com/preview/application-pipeline'
    sha: 2def53e5c9ea2996c9b6c0286d11ffdfdb6f453b
    startTime: '2024-03-04T03:07:46Z'
    target_branch: main
    pipelineRunName: devfile-sample-go-basic-on-pull-request-wj7rr
    title: Update RHTAP references
    conditions:
      - lastTransitionTime: '2024-03-04T03:37:11Z'
        message: 'Tasks Completed: 10 (Failed: 0, Cancelled 0), Skipped: 2'
        reason: Completed
        status: 'True'
        type: Succeeded
    sha_url: >-
      https://github.com/mmorhun/devfile-sample-go-basic/commit/2def53e5c9ea2996c9b6c0286d11ffdfdb6f453b
    event_type: pull_request
  - completionTime: '2024-03-04T14:52:17Z'
    logurl: 'https://console.redhat.com/preview/application-pipeline'
    sha: f12929489640f09a31bd153d1e0c5eaf30580929
    startTime: '2024-03-04T14:40:44Z'
    target_branch: main
    pipelineRunName: devfile-sample-go-basic-on-pull-request-dn5f6
    title: Update RHTAP references
    conditions:
      - lastTransitionTime: '2024-03-04T14:52:17Z'
        message: 'Tasks Completed: 5 (Failed: 1, Cancelled 0), Skipped: 7'
        reason: Failed
        status: 'False'
        type: Succeeded
    sha_url: >-
      https://github.com/mmorhun/devfile-sample-go-basic/commit/f12929489640f09a31bd153d1e0c5eaf30580929
    event_type: pull_request
  - completionTime: '2024-03-05T13:29:06Z'
    logurl: 'https://console.redhat.com/preview/application-pipeline'
    sha: 26922cd0c5f66db9972d1819ee38fa02eaa05ea4
    startTime: '2024-03-05T12:45:54Z'
    target_branch: main
    pipelineRunName: devfile-sample-go-basic-on-pull-request-vk99p
    title: Update RHTAP references
    conditions:
      - lastTransitionTime: '2024-03-05T13:29:06Z'
        message: 'Tasks Completed: 10 (Failed: 0, Cancelled 0), Skipped: 2'
        reason: Completed
        status: 'True'
        type: Succeeded
    sha_url: >-
      https://github.com/mmorhun/devfile-sample-go-basic/commit/26922cd0c5f66db9972d1819ee38fa02eaa05ea4
    event_type: pull_request
spec:
  incoming:
    - secret:
        key: incoming-secret
        name: devfile-sample-go-basic-incoming
      targets:
        - main
      type: webhook-url
  params:
    - name: appstudio_workspace
      value: mmorhun
  url: 'https://github.com/mmorhun/devfile-sample-go-basic'
